Bug 1606840 - unclutter: FTBFS in Fedora rawhide
Summary: unclutter: FTBFS in Fedora rawhide
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: unclutter   
(Show other bugs)
Version: 29
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 21:53 UTC by Mohan Boddu
Modified: 2018-11-15 14:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (8.05 KB, text/plain)
2018-07-20 21:53 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 21:53 UTC, Mohan Boddu
no flags Details
state.log (615 bytes, text/plain)
2018-07-20 21:53 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 21:53:08 UTC
unclutter failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28397715


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix unclutter at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
unclutter will be orphaned. Before branching of Fedora 30,
unclutter will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 21:53:12 UTC
Created attachment 1469394 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 21:53:15 UTC
Created attachment 1469395 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 21:53:17 UTC
Created attachment 1469396 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 08:45:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Henrique Martins 2018-11-15 14:41:17 UTC
Unclutter's code is a bit old, I wonder if it even compiled in fc28.

Patching is really simple, add stdlib.h to vroot.h and add a couple of return value types and argument types in unclutter.c.  Could attach a patch, but ...

... unclutter has been compiled sucessfully for fc30:
  https://koji.fedoraproject.org/koji/buildinfo?buildID=1146879
which even claims in the Changelog
  rebuilt to fix FTBFS rhbz #1606840 + spec cleanup and modernization
I assume the source there has been patched.

Maybe close this bug? Or apply the same patch and rebuild the fc29 package?


Note You need to log in before you can comment on or make changes to this bug.